EPCIS Outbound Flow
EPCIS outbound flow collection manages automated data synchronization rules and configurations for pushing filtered event data to external partner systems based on business logic and filtering criteria.
The epcis_outbound_flow Object
EPCIS outbound flow collection defines data synchronization rules, filtering criteria, and connection mappings for automatically distributing relevant event data to external systems based on business requirements.
| Field Name | Type | Description |
|---|---|---|
id | uuid | Primary key. Unique identifier for the outbound flow (UUID format). |
user_created | string | User who created the flow. Foreign key reference to users table. |
date_created | datetime | Timestamp when the flow was created. |
user_updated | string | User who last updated the flow. Foreign key reference to users table. |
date_updated | datetime | Timestamp when the flow was last updated. |
type | string | Type of flow operation. Default: "unilateral_push". |
connection | object | Reference to the EPCIS connection (M2O reference to epcis_connection). |
max_record_time_processed | datetime | Latest record time that has been processed by this flow. |
epcis_query | object | Reference to named EPCIS query which controls the records that should be sent (M2O reference to epcis_queries). |
send_packing_hierarchy | boolean | If true, aggregation events will be sent for any EPC referenced in the outbound set of events even if they don't fall within the main query definition. |
send_commissioning_events | boolean | If true, commissioning events will be sent for any EPC referenced in the outbound set of events even if they don't fall within the main query definition. |
List EPCIS Outbound Flows
List existing EPCIS outbound flows.
- REST
- GraphQL
GET /items/epcis_outbound_flow
query {
epcis_outbound_flow {
id
user_created
date_created
user_updated
date_updated
type
connection
max_record_time_processed
epcis_query
send_packing_hierarchy
send_commissioning_events
}
}
Query Parameters
Supports all global query parameters.
Returns
An array of up to limit EPCIS outbound flow objects. If no items are available, data will be an empty array.
Retrieve an EPCIS Outbound Flow
Retrieve a specific EPCIS outbound flow by ID.
- REST
- GraphQL
GET /items/epcis_outbound_flow/:id
query {
epcis_outbound_flow_by_id(id: "flow_id") {
id
user_created
date_created
user_updated
date_updated
type
connection
max_record_time_processed
epcis_query
send_packing_hierarchy
send_commissioning_events
}
}
Returns
Returns an EPCIS outbound flow object if a valid primary key was provided.
Create an EPCIS Outbound Flow
Create a new EPCIS outbound flow.
- REST
- GraphQL
POST /items/epcis_outbound_flow
{
"type": "unilateral_push",
"connection": "61d53401-2888-4994-80f9-555e8ef6f567",
"epcis_query": "ShipmentsToPartner",
"send_packing_hierarchy": true,
"send_commissioning_events": false
}
mutation {
create_epcis_outbound_flow_item(data: {
type: "unilateral_push"
connection: "61d53401-2888-4994-80f9-555e8ef6f567"
epcis_query: "ShipmentsToPartner"
send_packing_hierarchy: true
send_commissioning_events: false
}) {
id
type
connection
epcis_query
date_created
}
}
Query Parameters
Supports all global query parameters.
Request Body
A partial EPCIS outbound flow object.
Returns
Returns the EPCIS outbound flow object for the created EPCIS outbound flow.
Update an EPCIS Outbound Flow
Update an existing EPCIS outbound flow.
- REST
- GraphQL
PATCH /items/epcis_outbound_flow/:id
{
"send_commissioning_events": true
}
mutation {
update_epcis_outbound_flow_item(id: "flow_id", data: {
send_commissioning_events: true
}) {
id
send_commissioning_events
}
}
Query Parameters
Supports all global query parameters.
Request Body
A partial EPCIS outbound flow object.
Returns
Returns the EPCIS outbound flow object for the updated EPCIS outbound flow.
Delete an EPCIS Outbound Flow
Delete an existing EPCIS outbound flow.
- REST
- GraphQL
DELETE /items/epcis_outbound_flow/:id
mutation {
delete_epcis_outbound_flow_item(id: "flow_id") {
id
}
}
Returns
Empty body.
Sample Data
Example EPCIS Outbound Flow Record
{
"id": "41c19675-81bd-4380-be9b-4d0394d21407",
"user_created": "91456280-d821-4ae6-a29d-54affcf89791",
"date_created": "2025-01-10T10:21:32.000Z",
"user_updated": "91456280-d821-4ae6-a29d-54affcf89791",
"date_updated": "2025-01-10T10:50:45.000Z",
"type": "unilateral_push",
"connection": "61d53401-2888-4994-80f9-555e8ef6f567",
"max_record_time_processed": "2025-03-17T11:12:24.000Z",
"epcis_query": "ShipmentsToAcmeCorp",
"send_packing_hierarchy": 1,
"send_commissioning_events": 1
}